#pragma once
#include "CStaticWave/AlmRecWave.h"
#include "afxwin.h"

// CDialogAlmRec 对话框

class CDialogAlmRec : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogAlmRec)

public:
	CDialogAlmRec(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogAlmRec();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
// 对话框数据
	enum { IDD = IDD_DIALOG_ALM_REC };

protected:
	CFont font;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	LRESULT OnMonitorStatus(WPARAM wPara, LPARAM lPara);
	void Show_Result();
	//显示报警提示信息
	void Show_Alm_Info();
	DECLARE_MESSAGE_MAP()
public:
	struct ALM_SEARCH_PARA m_stALM_SEARCH_PARA;
	struct SAVE_ALM m_stGetAlm;
	CAlmRecWave *m_pCAlmRecWave;
	
	CStatic m_CStaticName;
	CStatic m_CStaticTime;
	CStatic m_CStaticAlmInfo;
	CStatic m_CStaticHR;
	CStatic m_CStaticST1;
	CStatic m_CStaticST2;
	CStatic m_CStaticRR;
	CStatic m_CStaticSpo2;
	CStatic m_CStaticPR;
	CStatic m_CStaticTemp;
	CStatic m_CStaticAirOxy;
	void Copy_Alm_Search(struct ALM_SEARCH_PARA *st);
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonAlmRecLeft();
	afx_msg void OnBnClickedButtonAlmRecRight();
	afx_msg void OnBnClickedButtonAlmRecPre();
	afx_msg void OnBnClickedButtonAlmRecNext();
	afx_msg void OnBnClickedButtonAlmRecChange();
};
